[options]
zip_safe = True
include_package_data = True

[aliases]
docs = build_sphinx -a -E

[bdist_wheel]
universal = 1

[coverage:run]
branch = True

[coverage:report]
fail_under = 100

[build_sphinx]
source-dir = docs/
build-dir = docs/
all_files = 1

[mypy]
python_version = 3.6
show_column_numbers = True

[mypy-acd.*]
warn-return-any = False
strict_boolean = True
ignore_errors = False
follow_imports = error
disallow_untyped_calls = True
disallow_untyped_defs = True
check_untyped_defs = True
show_none_errors = True
warn_return_any = True

[pep8]
ignore = E701
max_line_length = 79
show_pep8 = True
show_source = True

[flake8]
max-line-length = 79

[egg_info]
tag_build = 
tag_date = 0

